GET/schedule

Get Schedule

View Schedule Details

Retrieves details of a Schedule based on the provided scheduleId.
GET/schedule

Parameter Details

NameInTypeRequiredDescription
scheduleIdqueryintegerOptionalUnique identifier for the schedule.

Responses

StatusMeaningDescriptionSchema
200OKSuccessful retrieval of schedule details.
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X GET /schedule \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

200 Response
{
  "scheduleId": 201,
  "scheduleName": "sample_schedule_name",
  "year": "*",
  "month": "*",
  "dow": "*",
  "day": "*",
  "hour": "*",
  "minute": "20",
  "status": 1,
  "startDate": "2025-03-13",
  "endDate": "2025-03-13",
  "shopType": 3,
  "fetchType": 1,
  "shopId": 0
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.